### Constructor

# Gsk.RepeatNode.new

#### Declaration [src]

    GskRenderNode*
    gsk_repeat_node_new (
      const graphene_rect_t* bounds,
      GskRenderNode* child,
      const graphene_rect_t* child_bounds
    )

#### Description [src]

Creates a `GskRenderNode` that will repeat the drawing of `child` across the given `bounds`.

#### Parameters

`bounds` | `const graphene_rect_t*`
| The bounds of the area to be painted
| Ownership is not transferred to the callee
`child` | `GskRenderNode`
| The child to repeat
| Ownership is not transferred to the callee
`child_bounds` | `const graphene_rect_t*`
| The area of the child to repeat or `NULL` to use the child’s bounds
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `GskRepeatNode`
A new `GskRenderNode`
Ownership of the data is transferred to the caller